<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC
@author: juan.agudelo

    Pantalla que muestra los datos completos asociados a una solicitud
    caso de uso CU-NP-CO-026 Consultar Detalle Trámite de Conservación
    
    parámetros de entrada:
    -tramiteParam: Objeto de tipo Tramite que almacenará los valores de todo el formulario, debe contener 
    el objeto completo incluyendo los objetos, Solicitud con SolicitanteSolicitud y Solicitante, 
    TramitePredioEnglobe, Predio y TramiteEstado
    -managedBeanParam: nombre del ManagedBean del que se obtendran los parametros   
    -managedBeanParam.tramiteDocumentosAportados: getter de la lista con los documentos aportados del trámite
    -managedBeanParam.tramiteDocumentosFaltantes: getter de la lista con los documentos faltantes del trámite
-->
<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        id="detalleSolicitudEjecutarForm">

    <h:panelGrid id="detalleSolicitudP" columns="1" cellspacing="5">
        <p:fieldset id="datosSolicitud" legend="Información de la solicitud"
                    toggleable="true" toggleSpeed="500">

            <h:panelGrid columns="6" cellspacing="10"
                         rendered="#{tramiteParam.solicitud ne null}">

                <h:outputLabel value="Número de radicación: "
                               styleClass="outputLabelStyle" />
                <h:outputText value="#{tramiteParam.numeroRadicacion}"
                              styleClass="outputTextStyle" />

                <h:outputLabel value="Número de solicitud: "
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{tramiteParam.solicitud.numeroRadicacionDefinitiva}"
                    styleClass="outputTextStyle" />

                <h:outputLabel value="Fecha de radicación: "
                               styleClass="outputLabelStyle" />
                <h:outputText value="#{tramiteParam.solicitud.fecha}"
                              styleClass="outputTextStyle" />

                <h:outputLabel value="Departamento: " styleClass="outputLabelStyle" />
                <h:outputText value="#{tramiteParam.departamento.nombre}"
                              styleClass="outputTextStyle" />

                <h:outputLabel value="Municipio: " styleClass="outputLabelStyle" />
                <h:outputText value="#{tramiteParam.municipio.nombre}"
                              styleClass="outputTextStyle" />

                <h:outputLabel value="Asignado a: " styleClass="outputLabelStyle" />
                <h:outputText value="#{tramiteParam.solicitud.nombreAsignadoA}"
                              styleClass="outputTextStyle" />
            </h:panelGrid>

            <h:outputText
                value="No existe información disponible para la solicitud"
                styleClass="outputTextStyle"
                rendered="#{tramiteParam.solicitud eq null}" />
        </p:fieldset>

        <p:fieldset id="datosPredio" legend="Información del predio"
                    toggleable="true" toggleSpeed="500">

            <h:panelGrid columns="8" cellspacing="10"
                         rendered="#{tramiteParam.predio ne null}">

                <h:outputLabel value="Número predial: "
                               styleClass="outputLabelStyle" />
                <h:outputText value="#{tramiteParam.predio.numeroPredial}"
                              styleClass="outputTextStyle" />

                <h:outputLabel value="Condición de propiedad: "
                               styleClass="outputLabelStyle" />
                <h:outputText value="#{tramiteParam.predio.condicionPropiedad}"
                              styleClass="outputTextStyle" />

                <h:outputLabel value="Consecutivo catastral: "
                               styleClass="outputLabelStyle" />
                <h:outputText value="#{tramiteParam.predio.consecutivoCatastral}"
                              styleClass="outputTextStyle" />

                <h:outputText />
                <h:outputText />

                <h:outputLabel value="NIP: " styleClass="outputLabelStyle" />
                <h:outputText value="#{tramiteParam.predio.nip}"
                              styleClass="outputTextStyle" />

                <h:outputLabel value="Zona unidad orgánica: "
                               styleClass="outputLabelStyle" />
                <h:outputText value="#{tramiteParam.predio.zonaUnidadOrganica}"
                              styleClass="outputTextStyle" />

                <h:outputLabel value="Sector: " styleClass="outputLabelStyle" />
                <h:outputText value="#{tramiteParam.predio.sectorCodigo}"
                              styleClass="outputTextStyle" />

                <h:outputLabel value="Manzana: " styleClass="outputLabelStyle" />
                <h:outputText value="#{tramiteParam.predio.manzanaCodigo}"
                              styleClass="outputTextStyle" />
            </h:panelGrid>

            <h:outputText value="No existe información disponible para el predio"
                          styleClass="outputTextStyle"
                          rendered="#{tramiteParam.predio eq null}" />
        </p:fieldset>

        <p:fieldset id="datosPredios"
                    legend="Información de otros predios de la radicación"
                    toggleable="true" toggleSpeed="500">

            <p:dataTable value="#{tramiteParam.tramitePredioEnglobes}"
                         var="predios" id="res" widgetVar="res"
                         emptyMessage="No se encontraron otros predios"
                         rendered="#{fn:length(tramiteParam.tramitePredioEnglobes) > 0}">

                <f:facet name="header">  
                    Predios
                </f:facet>

                <p:column>
                    <f:facet name="header">
                        Número predial						
                    </f:facet>
                    <h:outputText value="#{predios.predio.numeroPredial}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Consecutivo catastral					
                    </f:facet>
                    <h:outputText value="#{predios.predio.consecutivoCatastral}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        NIP						
                    </f:facet>
                    <h:outputText value="#{predios.predio.nip}" />
                </p:column>
            </p:dataTable>

            <h:outputText
                value="No existe información disponible de otro predios"
                styleClass="outputTextStyle"
                rendered="#{fn:length(tramiteParam.tramitePredioEnglobes) eq 0}" />
        </p:fieldset>

        <p:fieldset id="datosTramite" legend="Información del trámite"
                    toggleable="true" toggleSpeed="500">

            <h:panelGrid columns="1" rendered="#{tramiteParam ne null}">
                <h:panelGrid columns="8" cellspacing="10">
                    <h:outputLabel value="Tipo de trámite: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText value="#{tramiteParam.tipoTramite}"
                                  styleClass="outputTextStyle" />

                    <h:outputLabel value="Subclase: " styleClass="outputLabelStyle" />
                    <h:outputText value="#{tramiteParam.subtipo}"
                                  styleClass="outputTextStyle" />

                    <h:outputLabel value="Clasificación: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText value="#{tramiteParam.clasificacion}"
                                  styleClass="outputTextStyle" />

                    <h:outputLabel value="Clase de mutación: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText value="#{tramiteParam.claseMutacion}"
                                  styleClass="outputTextStyle" />

                    <h:outputLabel value="Fuente: " styleClass="outputLabelStyle" />
                    <h:outputText value="#{tramiteParam.fuente}"
                                  styleClass="outputTextStyle" />

                    <h:outputLabel value="Comentario: " styleClass="outputLabelStyle" />
                    <h:outputText value="#{tramiteParam.solicitud.observaciones}"
                                  styleClass="outputTextStyle" />

                    <h:outputLabel value="Fecha de solicitud: "
                                   styleClass="outputLabelStyle" />

                    <h:outputText value="#{tramiteParam.solicitud.fecha}"
                                  styleClass="outputTextStyle" />

                </h:panelGrid>

                <h:outputLabel value="Fundamento de la petición: "
                               styleClass="outputLabelStyle"
                               style="position: relative; left:10px;" />

                <h:outputText value="#{tramiteParam.fundamentoPeticion}"
                              styleClass="outputTextStyle" style="position: relative; left:10px;" />
            </h:panelGrid>

            <h:outputText
                value="No existe información disponible para el trámite"
                styleClass="outputTextStyle" rendered="#{tramiteParam eq null}" />

        </p:fieldset>

        <p:fieldset id="datosDocumentos" legend="Documentos del trámite"
                    toggleable="true" toggleSpeed="500">

            <p:dataTable value="#{managedBeanParam.tramiteDocumentosAportados}"
                         var="docAportados" id="docA" widgetVar="res"
                         emptyMessage="No se encontraron documentos aportados"
                         rendered="#{fn:length(managedBeanParam.tramiteDocumentosAportados) > 0}">

                <f:facet name="header">  
                    Documentos aportados
                </f:facet>

                <p:column>
                    <f:facet name="header">
                        Tipo documento					
                    </f:facet>
                    <h:outputText value="#{docAportados.tipoDocumento.nombre}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Fecha aporte				
                    </f:facet>
                    <h:outputText value="#{docAportados.fechaAporte}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Departamento				
                    </f:facet>
                    <h:outputText value="#{docAportados.departamento.nombre}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Municipio				
                    </f:facet>
                    <h:outputText value="#{docAportados.municipio.nombre}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Oficina emisora				
                    </f:facet>
                    <h:outputText value="#{docAportados.oficinaEmisora}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Número titulo					
                    </f:facet>
                    <h:outputText value="#{docAportados.numeroTitulo}" />
                </p:column>
            </p:dataTable>

            <p:spacer height="10" width="0"/>

            <p:dataTable value="#{managedBeanParam.tramiteDocumentosFaltantes}"
                         var="docFaltantes" id="docF" widgetVar="res"
                         emptyMessage="No se encontraron documentos faltantes"
                         rendered="#{fn:length(managedBeanParam.tramiteDocumentosFaltantes) > 0}">

                <f:facet name="header">  
                    Documentos faltantes
                </f:facet>

                <p:column>
                    <f:facet name="header">
                        Tipo documento					
                    </f:facet>
                    <h:outputText value="#{docFaltantes.tipoDocumento.nombre}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Fecha solicitud				
                    </f:facet>
                    <h:outputText value="#{docFaltantes.fechaLog}" />
                </p:column>
            </p:dataTable>

            <h:outputText value="No existen documentos aportados en el trámite"
                          styleClass="outputTextStyle"
                          rendered="#{fn:length(managedBeanParam.tramiteDocumentosFaltantes) eq 0 and  fn:length(managedBeanParam.tramiteDocumentosAportados) > 0}" />

            <h:outputText value="No existen documentos faltantes en el  trámite"
                          styleClass="outputTextStyle"
                          rendered="#{fn:length(managedBeanParam.tramiteDocumentosFaltantes) > 0 and  fn:length(managedBeanParam.tramiteDocumentosAportados) eq 0}" />

            <h:outputText value="No existen documentos asociados al trámite"
                          styleClass="outputTextStyle"
                          rendered="#{fn:length(managedBeanParam.tramiteDocumentosFaltantes) eq 0 and  fn:length(managedBeanParam.tramiteDocumentosAportados) eq 0}" />

        </p:fieldset>

        <p:fieldset id="datosTramiteS" legend="Información del trámite"
                    toggleable="true" toggleSpeed="500">

            <h:panelGrid columns="1" rendered="#{tramiteParam ne null}">
                <h:panelGrid columns="8" cellspacing="10">
                    <h:outputLabel value="Tipo de trámite: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText value="#{tramiteParam.tipoTramite}"
                                  styleClass="outputTextStyle" />

                    <h:outputLabel value="Subclase: " styleClass="outputLabelStyle" />
                    <h:outputText value="#{tramiteParam.subtipo}"
                                  styleClass="outputTextStyle" />

                    <h:outputLabel value="Clasificación: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText value="#{tramiteParam.clasificacion}"
                                  styleClass="outputTextStyle" />

                    <h:outputLabel value="Clase de mutación: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText value="#{tramiteParam.claseMutacion}"
                                  styleClass="outputTextStyle" />

                    <h:outputLabel value="Fuente: " styleClass="outputLabelStyle" />
                    <h:outputText value="#{tramiteParam.fuente}"
                                  styleClass="outputTextStyle" />

                    <h:outputLabel value="Comentario: " styleClass="outputLabelStyle" />
                    <h:outputText value="#{tramiteParam.solicitud.observaciones}"
                                  styleClass="outputTextStyle" />

                    <h:outputLabel value="Fecha de solicitud: "
                                   styleClass="outputLabelStyle" />

                    <h:outputText value="#{tramiteParam.solicitud.fecha}"
                                  styleClass="outputTextStyle" />

                </h:panelGrid>

                <h:outputLabel value="Fundamento de la petición: "
                               styleClass="outputLabelStyle"
                               style="position: relative; left:10px;" />

                <h:outputText value="#{tramiteParam.fundamentoPeticion}"
                              styleClass="outputTextStyle" style="position: relative; left:10px;" />
            </h:panelGrid>

            <h:outputText
                value="No existe información disponible para el trámite"
                styleClass="outputTextStyle" rendered="#{tramiteParam eq null}" />

        </p:fieldset>

        <p:fieldset id="datosSolicitantes"
                    legend="Información de los solicitantes" toggleable="true"
                    toggleSpeed="500">

            <p:dataTable value="#{tramiteParam.solicitanteTramites}"
                         var="solicitantes" id="solicitantesInfo" widgetVar="res"
                         emptyMessage="No se encontraron solicitantes en el trámite"
                         rendered="#{fn:length(tramiteParam.solicitanteTramites) > 0}">

                <f:facet name="header">  
                    Solicitantes
                </f:facet>

                <p:column>
                    <f:facet name="header">
                        Nombre					
                    </f:facet>
                    <h:outputText value="#{solicitantes.nombreCompleto}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Tipo de identificación					
                    </f:facet>
                    <h:outputText
                        value="#{solicitantes.tipoIdentificacion}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Número de identificación				
                    </f:facet>
                    <h:outputText
                        value="#{solicitantes.numeroIdentificacion}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Dirección				
                    </f:facet>
                    <h:outputText value="#{solicitantes.direccion}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Correo electronico					
                    </f:facet>
                    <h:outputText value="#{solicitantes.correoElectronico}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Telefono					
                    </f:facet>
                    <h:outputText value="#{solicitantes.telefonoPrincipal}" />
                </p:column>
            </p:dataTable>

            <h:outputText
                value="No existe información de los solicitantes del trámite"
                styleClass="outputTextStyle"
                rendered="#{fn:length(tramiteParam.solicitanteTramites) eq 0}" />
        </p:fieldset>

        <p:fieldset id="historialEstados"
                    legend="Historia de estados " toggleable="true"
                    toggleSpeed="500">

            <p:dataTable value="#{tramiteParam.tramiteEstados}"
                         var="tramiteE" id="tramiteEstados" widgetVar="res"
                         emptyMessage="No se encontraron solicitantes en el trámite"
                         rendered="#{fn:length(tramiteParam.solicitanteTramites) > 0}">

                <f:facet name="header">  
                    Estados del trámite
                </f:facet>

                <p:column>
                    <f:facet name="header">
                        Estado					
                    </f:facet>
                    <h:outputText value="#{tramiteE.estado}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Responsable				
                    </f:facet>
                    <h:outputText value="#{tramiteE.responsable}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Rol					
                    </f:facet>
                    <h:outputText value="#{tramiteE.rol}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Fecha inicial					
                    </f:facet>
                    <h:outputText value="#{tramiteE.fechaInicio}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Fecha final					
                    </f:facet>
                    <h:outputText value="#{tramiteE.fechaFin}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Duración					
                    </f:facet>
                    <h:outputText value="Revisar por cambio: valor ahora proveniente del process server" />
                </p:column>				
            </p:dataTable>

            <h:outputText
                value="No existe información del historial de estados del trámite"
                styleClass="outputTextStyle"
                rendered="#{fn:length(tramiteParam.solicitanteTramites) eq 0}" />
        </p:fieldset>


    </h:panelGrid>
</h:form>

